[build-system]
requires = ["maturin>1.0,<2.0"]
build-backend = "maturin"

[project]
name = "klamath_rs_ext"
description = "Compiled extensions for klamath GDS library"
#readme = "README.md"
#license = { file = "LICENSE.md" }
authors = [
    { name="Jan Petykiewicz", email="jan@mpxd.net" },
    ]
homepage = "https://mpxd.net/code/jan/klamath-rs"
repository = "https://mpxd.net/code/jan/klamath-rs"
classifiers = [
    "Programming Language :: Python :: 3",
    "Development Status :: 4 - Beta",
#    "Development Status :: 5 - Production/Stable",
    "Intended Audience :: Developers",
    "Intended Audience :: Information Technology",
    "Intended Audience :: Manufacturing",
    "Intended Audience :: Science/Research",
    "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
    "Topic :: Scientific/Engineering :: Electronic Design Automation (EDA)",
    ]
requires-python = ">=3.11"
#include = [
#    "LICENSE.md"
#    ]
dynamic = ["version"]
dependencies = [
    "cffi",
    ]

[tool.maturin]
bindings = "cffi"

